datacache <- new.env(hash=TRUE, parent=emptyenv())

JazaeriMetaData <- function() showQCData("JazaeriMetaData", datacache)
JazaeriMetaData_dbconn <- function() dbconn(datacache)
JazaeriMetaData_dbfile <- function() dbfile(datacache)
JazaeriMetaData_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
JazaeriMetaData_dbInfo <- function() dbInfo(datacache)

JazaeriMetaDataORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "JazaeriMetaData.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("JazaeriMetaData", "chip JazaeriMetaData", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(JazaeriMetaData_dbconn())
}

